StringifiedException (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.StringifiedException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util
Class StringifiedException

    java.lang.Object
      org.hyperic.util.StringifiedException

All Implemented Interfaces:
  java.io.Serializable

    public class StringifiedException

extends java.lang.Object
implements java.io.Serializable

This class captures information about an exception and stores it in a String-based form. This makes it easy to transport arbitrary types of exceptions over SOAP. For example, in CAM's autoinventory scan, when a scan completes, the scan state that is sent to the server could contain a instance of an exception class representing an error that occurred during the scan. Instead of relying on Axis to know how to serialize/deserialize every conceivable exception class, we just wrap the exceptions in this class, which makes everything string-based and easy to work with.

See Also:
  Serialized Form

Constructor Summary
`StringifiedException()`
`StringifiedException(java.lang.Throwable t)`

Method Summary
`long` | `getCTime()`
`java.lang.String` | `getExceptionClass()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getStackTrace()`
`java.lang.String` | `getToString()`
`void` | `setCTime(long ct)`
`void` | `setExceptionClass(java.lang.String ec)`
`void` | `setMessage(java.lang.String m)`
`void` | `setStackTrace(java.lang.String st)`
`void` | `setToString(java.lang.String ts)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringifiedException

    public StringifiedException()

### StringifiedException

    public StringifiedException(java.lang.Throwable t)

Method Detail

### getCTime

    public long getCTime()

### setCTime

    public void setCTime(long ct)

### getExceptionClass

    public java.lang.String getExceptionClass()

### setExceptionClass

    public void setExceptionClass(java.lang.String ec)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String m)

### getStackTrace

    public java.lang.String getStackTrace()

### setStackTrace

    public void setStackTrace(java.lang.String st)

### getToString

    public java.lang.String getToString()

### setToString

    public void setToString(java.lang.String ts)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.